\name{int.mppi_dbconn}
\alias{int.mppi_dbconn}
\alias{int.mppi_dbfile}
\alias{int.mppi_dbschema}
\alias{int.mppi_dbInfo}
\title{Collect information about the package annotation DB}
\description{  
  Some convenience functions for getting a connection object to (or collecting 
  information about) the package annotation DB. 
}
\usage{
  int.mppi_dbconn()
  int.mppi_dbfile()
  int.mppi_dbschema(file="", show.indices=FALSE)
  int.mppi_dbInfo()
}
\arguments{ 
  \item{file}{A connection, or a character string naming the file to print to 
    (see the file argument of the cat function for the details). }
  \item{show.indices}{The CREATE INDEX statements are not shown by default. Use 
    show.indices=TRUE to get them. }
}
\details{
  \code{int.mppi_dbconn} returns a connection object to the package annotation DB. 
  IMPORTANT: Don't call \code{\link[DBI]{dbDisconnect}} on the connection object 
  returned by \code{int.mppi_dbconn} or you will break all the 
  \code{\link[AnnotationDbi]{AnnDbObj}} objects defined in this package! 

  \code{int.mppi_dbfile} returns the path (character string) to the package
  annotation DB (this is an SQLite file). 

  \code{int.mppi_dbschema} prints the schema definition of the package annotation
  DB. 

  \code{int.mppi_dbInfo} prints other information about the package annotation
  DB.  
}
\examples{
  ## Show the first three rows.
  dbGetQuery(int.mppi_dbconn(), "select * from mppi limit 3")

  ## The connection object returned by int.mppi_dbconn() was created with:
  dbConnect(SQLite(), dbname=int.mppi_dbfile(), cache_size=64000, synchronous=0)

  int.mppi_dbschema()

  int.mppi_dbInfo()
}
